# PSF-LoginServer - master - net.psforever.objects.serverobject.terminals.ProximityUnit
PSF - LoginServer - master - net.psforever.objects.serverobject.terminals.ProximityUnit
Keywords: PSF LoginServer master net.psforever.objects.serverobject.terminals.ProximityUnit

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package terminals
  Definition Classes
    serverobject
-  package capture
  Definition Classes
    terminals
-  package implant
  Definition Classes
    terminals
- CaptureTerminals
- EquipmentTerminalDefinition
- GeneratorTerminalDefinition
- MatrixTerminalDefinition
- MedicalTerminalDefinition
- OrderTerminalDefinition
- ProximityDefinition
- ProximityTerminal
- ProximityTerminalControl
- ProximityTerminalDefinition
- ProximityUnit
- Terminal
- TerminalControl
- TerminalDefinition
- VehicleTerminalDefinition

t

net.psforever.objects.serverobject.terminals

# ProximityUnit 

###
Companion object ProximityUnit

#### trait ProximityUnit extends AnyRef

A server object that provides a service, triggered when a certain distance from the unit itself (proximity-based). Unlike conventional terminals, this one is not necessarily structure-owned. For example, the cavern crystals are considered owner-neutral elements that are not attached to a `Building` object.

Self Type
  ProximityUnit with Terminal
Source
  ProximityUnit.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
ProximityTerminal, ProximityTerminalUtility

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ProximityUnit
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def AddUser(target: PlanetSideGameObject): Boolean

   Accept a new target for this unit.

   Accept a new target for this unit.

   target

     the new target

   returns

     `true`, if the entrant has been added and is new to the list; `false` if the entrant is already in the list or can not be added

5.  def NumberUsers: Int
6.  def RemoveUser(target: PlanetSideGameObject): Boolean

   Remove an existing target for this unit.

   Remove an existing target for this unit.

   target

     the target

   returns

     `true`, if the submitted entity was previously in the list but is not longer in the list; `false`, if the submitted entity was never in the list or can not be removed

7.  def Targets: Seq[PlanetSideGameObject]
8.  def Validate(radius: Float, validations: Seq[(PlanetSideGameObject) => Boolean])(target: PlanetSideGameObject): Boolean

   Confirm whether the entity is a valid target for the effects of this unit.

   Confirm whether the entity is a valid target for the effects of this unit. Curried to accept parameters for the tests separately from the entity to be tested. In general, the two requirements beyond the custom validations involve distance (from the unit) and inclusiveness (known to the unit beforehand).

   radius

     the squared minimum activation distance

   validations

     the custom tests that the entity must pass to be considered valid; in general, regardless of the type of the target, any of the tests must be passed

   target

     the submitted entity

   returns

     `true`, if the entity passes the validation tests; `false`, otherwise

9.  def Validate(target: PlanetSideGameObject): Boolean

   Confirm whether the entity is a valid target for the effects of this unit.

   Confirm whether the entity is a valid target for the effects of this unit.

   target

     the submitted entity

   returns

     `true`, if the entity passes the validation tests; `false`, otherwise

10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped